(***********************************************************************)
(*                                                                     *)
(*                              OCamlGen                               *)
(*                                                                     *)
(*                       OCaml module Generator                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 1997-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: og_types_print.mli,v 1.8 2014/01/31 09:51:52 fclement Exp $ *)

(** Og_types_print.ml: printing the data type definitions as found in the source
   file. *)

val print_type_name : Og_types.type_name Format_printer.printer;;
val print_visibility : Og_types.visibility Format_printer.printer;;
val print_type_expr : Og_types.type_expr Format_printer.printer;;
val file : Og_types.file Format_printer.printer;;
